Subject: Re: bug#65844: 30.0.50; cannot show completion annotations in pcomplete-default-completion-function

From: Jim Porter <[email-masked]>
Date: Sat, 9 Sep 2023 18:23:21 -0700

On 9/9/2023 11:33 AM, StrawberryTea wrote:
> 
> Hi. I'm trying to add completion annotations to `fish-completion-mode`.
> I want to use the `pcomplete-default-completion-function` and to show
> the completions because that way it integrates with
> `pcomplete-try-first-hook`, etc. But the annotations do not show up even
>      when using the code below:

This sounds like a dupe of bug#61283. I have some WIP patches there that 
demonstrate a possible strategy for fixing this (using a programmed 
completion function instead of relying on text properties). It might 
give you some ideas for how to hack things together at least...